Subject: Re: MinGW port (was: Re: [ANNOUNCE] qgit4 aka qgit ported to Windows)

From: Johannes Sixt <[email-masked]>
Date: Thu, 11 Jan 2007 14:24:39 +0100

Marco Costalba wrote:
> > On Thu, 11 Jan 2007, Johannes Sixt wrote:
> > > [*] because shell scripts like merge-one-file can't be invoked from an
> > > exe like merge-index, yet. Fortunately this looks like the easiest part
> > > to solve.
> >
> 
> >From an exe you could run:
> 
>      cmd.exe /c  <script with arguments>
> 
> Of course the problem is that the content of the script should be
> understandable by cmd.exe windows interpreter.

We are talking about git's own scripts, which are (ba)sh and perl.

The route I'm going is to do the path lookup manually (if necessary),
then look at the first few bytes of the file for the interpreter, then
something like

 spawnvp(<interpreter-w/o-path>, <full-path-of-script plus args>)

-- Hannes